/*
 * =====================================================================================
 *
 *       Filename:  regparse.h
 *
 *    Description:  regparse header file
 *
 *        Version:  1.0
 *
 *         Author:  Alexander Aring, a.aring@phytec.de
 *        Company:  PHYTEC
 *
 * =====================================================================================
 */

#ifndef __REGPARSE_H__
#define __REGPARSE_H__

#include <ctype.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <limits.h>
#include <stdint.h>

#include <sys/types.h>

#include <linux/videodev2.h>

#define MAX_LINE_LENGTH 1024

/*-----------------------------------------------------------------------------
 *  Parse the register file and call do_something for each regline.
 *-----------------------------------------------------------------------------*/
int reg_file_parse(char *filepath,
        uint32_t *address, uint64_t *regist, uint64_t *reg_state,
		   int do_something(uint32_t address, uint64_t reg,
				    uint64_t val, char mode, uint64_t *reg_state));

#endif				/* __REGPARSE_H__ */
